protolabs42

Get health metrics

Detailed system health metrics including signal delivery stats, memory stats, and agent liveness.

GET
/admin/health-metrics

Detailed system health metrics including signal delivery stats, memory stats, and agent liveness.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://chorus.runclaw.run/admin/health-metrics"
{
  "data": {
    "signals": {
      "total": 0,
      "by_delivery_state": {
        "property1": 0,
        "property2": 0
      }
    },
    "agents": {
      "total": 0,
      "active": 0,
      "idle": 0,
      "disconnected": 0
    },
    "uptime_seconds": 0
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}